Hlavní navigace

Vlákno názorů ke zprávičce Microsoft koupil herní studia Obsidian a inXile od xxxxx - Uvidíme. Např. Minecraft si zatím jede po svým,...

  • 13. 11. 2018 18:34

    xxxxx (neregistrovaný) ---.142.broadband5.iol.cz

    Uvidíme. Např. Minecraft si zatím jede po svým, stále stejně jako dříve.

    ... když pominu "zneužití" názvu pro "Minecraft for Windows 10" a další konzolové systémy - což jsou ale jiné programy - původní Minecraft Java Edition je na tom +- stejně jak před koupí od MS (před 4 lety) a stéle pokračuje, vč. klíčových lidi (krom Notch-e, ten si užívá mimo).

  • 13. 11. 2018 19:52

    j (neregistrovaný) 2a01:8d00:4000:----:----:----:----:----

    tj, prekopali to tak, ze vsechny addony a tooly (optifine, forge, ...) prestaly fungovat, misto spousteni jaru aktualni javou si to primasti do widli extraburt exe, a pribalena je stara a derava java - 1.8.0_51 - Cervenec 2015 ...se kterou se to bydefault spusti (s tou aktualni to navic nefunguje)

    Pak se bez podivat, jak vypada ubersuperduper hra ala M$ ...https://en­.wikipedia.or­g/wiki/Sea_of_Thi­eves ... win10 only, nutnost M$ uctu, ... a hrat tam neni co, za hodinu nebo dve znas vse co ve hre muzes delat ...

  • 13. 11. 2018 21:20

    xxxxx (neregistrovaný) ---.142.broadband5.iol.cz

    TL;DR
    @j ... nic z toho se netýká MS, děje se to od počátku MC

    Delší pokec:
    @j ... Očividně nevíte, o čem mluvíte.

    Např.:
    - Ten "extrabuřt.exe" není vůbec nutný. Jo ano, BFU ať si klidně nový launcher stáhnou a proto nemají problémy s tím si ještě bokem instalovat java (1000x se na fóru řešilo, když byla java oddělená, že si ji musí instalovat a problémy že 32 kontra 64 atd).

    - Nicméně starý launcher (btw, stále ke stažení) nejen že funguje, navíc (pochopitelně) žádnou java nedotahává.

    - MC mi funguje i s novou (1.8) java (a to i nejnovější snapshoty), z počátku letošního léta. Novější opravdu nevím, jsem dost konzervativní, protože obecně nové verze java mívají problémy s jinými mými programy, takže upgraduji po delších skocích. Jediná změna byla, že od MC verze 1.12 potřebuje java 1.8+ ... předtím stačila java 1.7+ (od někdu kolem verze 1.3 MC, už si nepamatuji přesně) a ještě předtím 1.6+ a alfa MC a některé MC bety běhaly snad na čemkoli. Pozor, některé mody (přímé, i forge mody, někdy i forge jako takové) občas vyžadovalo java novější (či konkrétní verzi) než bylo třeba pro MC jako takový.

    - mody typu optifine, forge a podobně je nutné vždy překopat s každou novou verzí MC (i minoritní), to je věc MC a java a typu jak jsou mody dělané a přifařené k MC (MC namá API) a je tomu tak už od počátku, někdy od 2011-. Nutná velikost překopání se liší verze od verze, první opravdu velká změna vnitřní logiky, co už pamatuji, byla u 1.9 beta (možná 1.8 beta), tedy tuším podzim 2011 a pak Mojang měnil styl ve větším ještě mnohokrát

    - To, co vydrželo déle (přes více verzí), byly pluginy pro serverový bukkit (nyní spigot), který tomu dělal mezistupeň a standardizoval API po svém. Nicméně bukkit jako takový musel být předěláván, stejně jako forge, s každou novou i minoritní verzí MC. Zjednodušeně. Tam byly obrovské problémy ještě za Mojang, před koupí MS, kdy Mojang udělal pěkný podraz směrem k bukkit a prakticky se pokusil ho ovládnout, přiohnout až zlikvidovat - nepovedlo se, pokračoval Spigot.

    ... atd atp ... přijde mi, že mluvíte o něčem, o čem nemáte přehled (slušně řečeno)

  • 13. 11. 2018 22:05

    j (neregistrovaný) 2a01:8d00:4000:----:----:----:----:----

    Kdybys tak neblabolil co? Se starym launcherem muzes hrat ... stary verze hry, novejsi bez toho novyho ... nespustis. A narozdil od tebe ... zkousel sem to. Jo, muzu si sosnout cracklou verzi, ta zadnej laucher nepotrebuje.

    Stejne tak blabolis o modifikacich, tam se upravy pro novou verzi delaly do tydne nebo dvou. Max. Ted to prekopavaj uz nekolik mesicu a jeste to neni hotovy.

    A ze o tom vis lautrhovno potvrzuje jen to, ze jeste obhajujes pribaleni 3 roky stary javy. Mimochodem ty tarde, vis jakej je problem odkazat aktualni javainstalator? Presne, ZADNEJ!

  • 13. 11. 2018 23:19

    xxxxx (neregistrovaný) ---.142.broadband5.iol.cz

    Samozřejmě, že starý launcher funguje. Odzkoušeno právě teď (pro jistotu znovu, zda se během posledních dní něco nezměnilo) i na nejnovější snapshot, i na plné 1.13.2 i na nějakou starou (1.6.4, dokonce mod forge+thaumcraft a optifine)

    Stejně tak změny. Obrovská změna byla při přechodu z beta na 1.0 (přesněji, bylo to už u 1.9beta pre, ale 1.9 beta snad ani oficiálně nevyšla, jen pre), kde se mody pořádně ustálily až u 1.2.5. Obdobně, třeba změny u 1.5.x byly až takové, že mody prakticky přeskočily až na 1.6 (1.6.4 trvaleji, co ti pamatuji). Další "záchytný bod" byl 1.7.2 a 1.7.10, kde změny na 1.8 byly tak velké, že se uchytla až 1.8.9 o hodně delší dobu později. Toliko verze, které byly vyrobeny ještě před MS a mívaly problémy s přemodováním. Prostě nic nového pod sluncem, Mojang občas tak velké změny dělá, už od začátku.

    Vzhledem ke stylu Vaší konverzace (dost vulgární, imho porušujete i pravidla diskuse), tímto končím ve výčtu faktů a nadále už nebudu reagovat a vyvracet nepravdy. Obrázek ať si ostatní diskutující udělají sami.